Subject: Re: bug#76260: Non-deterministic test failure in python-numba 0.61.0

From: Ludovic Courtès <[email-masked]>
Date: Mon, 10 Mar 2025 09:29:15 +0100

Hi Jelle,

(Cc: Python team.)

Jelle Licht <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> numba.core.errors.TypingError: Failed in nopython mode pipeline (step: nopython frontend)
>> non-precise type pyobject
>> During: typing of argument at /gnu/store/72yrh3zapdhq2ka5s0d9jlmx3ma0b0c3-python-numba-0.61.0/lib/python3.10/site-packages/numba/tests/test_function_type.py (619)
>>
>> File "../gnu/store/72yrh3zapdhq2ka5s0d9jlmx3ma0b0c3-python-numba-0.61.0/lib/python3.10/site-packages/numba/tests/test_function_type.py", line 619:
>>
>>         def myeval(f, x):
>>         ^
>>
>> During: Pass nopython_type_inference
>>
>> ----------------------------------------------------------------------
>> Ran 10498 tests in 2473.476s
>>
>> FAILED (errors=1, skipped=706, expected failures=18)
>> error: in phase 'check': uncaught exception:
>> %exception #<&invoke-error program: "python3" arguments: ("-m" "numba.runtests" "-v" "-m") exit-status: 1 term-signal: #f stop-signal: #f> 
>> phase `check' failed after 2479.6 seconds
>> command "python3" "-m" "numba.runtests" "-v" "-m" failed with status 1
>> build process 18 exited with status 256
>> builder for `/gnu/store/39yljlzxy92x7gq74w5hv25sqwapdsz6-python-numba-0.61.0.drv' failed with exit code 1
>> --8<---------------cut here---------------end--------------->8---
>
> Would it be possible to disable this test?
> There are quite some packages blocked by this breakage:
>
> guix refresh -l python-numba
> Building the following 60 packages would ensure 145 dependent packages are rebuilt...

I’m not qualified so I defer to the Python team, but I agree that it
would be nice to work around it somehow.

Ludo’.